bgp_message:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPMessage
    module:               messages
    prefix_path:          /messages
    column:               id
    with_wildcard_routes: true

bgp_content:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPContent
    module:               content
    prefix_path:          /content
    column:               id
    with_wildcard_routes: true

bgp_homepage_photo:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPHomepagePhoto
    module:               homepage
    prefix_path:          /homepage
    column:               id
    with_wildcard_routes: true

bgp_photo_category_photos_categories:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPPhotoCategory
    module:               photos_categories
    prefix_path:          /photos_categories
    column:               id
    with_wildcard_routes: true

bgp_photo_category:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPPhotoCategory
    module:               photo_category
    prefix_path:          /photo_category
    column:               id
    with_wildcard_routes: true

bgp_category_photo:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPCategoryPhoto
    module:               category_photo
    prefix_path:          /category_photo
    column:               id
    with_wildcard_routes: true

bgp_category:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPCategory
    module:               categories
    prefix_path:          /categories
    column:               id
    with_wildcard_routes: true

bgp_photo:
  class: sfDoctrineRouteCollection
  options:
    model:                BGPPhoto
    module:               photos
    prefix_path:          /photos
    column:               id
    with_wildcard_routes: true

# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/10-Routing

# default rules
homepage:
  url:   /
  param: { module: homepage, action: index }

# generic rules
# please, remove them by adding more specific rules
default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
